> This page is for Afterpay.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# Retrieve Grant

GET https://global-api-sandbox.afterpay.com/v2/grants/{grantId}

Retrieves a grant by its ID.


Reference: https://developers.cash.app/afterpay/api-reference/reference/grants-afterpay/get-grant

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Servers

- `https://global-api-sandbox.afterpay.com` (Sandbox, default)
- `https://global-api.afterpay.com` (Production)

## Request

### Path parameters

- `grantId` (string, required) — ID of the grant to retrieve.

## Response

### 200

Created

- `grant` (Grant, required)

## Errors

### 403 Forbidden Error

| errorCode | Description | | --- | --- | | feature_not_enabled | On file payments are not enabled for this merchant. |

- `any`

### 404 Not Found Error

| errorCode | Description | | --- | --- | | grant_not_found | The specified grant id was not found. |

- `any`

## Types

### Grant

- `id` (string, required) — Unique id identifying the grant
- `type` (enum, required) — Type of grant
  - Allowed values: `ON_FILE`
- `status` (enum, required) — Current status of the grant
  - Allowed values: `ACTIVE`, `CANCELLED`
- `created` (datetime, required) — Timestamp when the grant was created
- `merchantReference` (string, optional, nullable) — Merchant's reference for this grant
- `cancelled` (datetime, optional) — If present, indicates when the grant was cancelled
- `expires` (datetime, optional) — If present, indicates when the grant's status will become EXPIRED, preventing a client from using it to create payments
- `consumerReference` (string, optional, nullable) — Reference identifier for the consumer
- `email` (string, optional, nullable) — Masked email address of the consumer
- `requestId` (string, optional, nullable) — If present, unique identifier for the request

## Examples

**Response**

```json
{
  "grant": {
    "id": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
    "type": "ON_FILE",
    "status": "ACTIVE",
    "created": "2024-03-04T12:00:00Z",
    "merchantReference": "merchant_ref_123",
    "cancelled": "2024-03-05T12:00:00Z",
    "expires": "2025-03-04T12:00:00Z",
    "consumerReference": "cust_12345",
    "email": "j***@e***.com",
    "requestId": "req_abc123def456"
  }
}
```

**SDK Code**

```python
import requests

url = "https://global-api-sandbox.afterpay.com/v2/grants/grantId"

response = requests.get(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://global-api-sandbox.afterpay.com/v2/grants/grantId';
const credentials = btoa("<username>:<password>");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/grants/grantId"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/grants/grantId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://global-api-sandbox.afterpay.com/v2/grants/grantId")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://global-api-sandbox.afterpay.com/v2/grants/grantId', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/grants/grantId");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/grants/grantId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```